View Issue Details

IDProjectCategoryView StatusLast Update
0002992Ham Radio DeluxeBugpublic2019-01-16 22:05
ReporterK7ZCZ 
Assigned ToWA9PIE 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformIntel i7-5960XOSWindows 10 Professional x64OS Version16299
Product Version 
Target VersionFixed in Version6.5.0.183 
Summary0002992: Rig Control: FT-991 and FT-991A "Keypad Brightness" slider doesn't work
DescriptionThe "Keypad Brightness" slider seems to have the wrong range. The radio accepts values 1 or 2, but the slider goes from 0 to 15.
Steps To Reproduce1) Start Rig Control
2) Connect to an FT-991 or FT-991A
3) Make sure you've got the "Keypad Brightness" slider configured
4) Slide to 1 or 2. Seems to work.
5) Slide to any other value.

BUG#1) The slider resets to the previous value (of 1 or 2)
TagsFT-991, FT-991A, Yaesu
ModuleRig Control
Sub-ModuleRadio Support
Testing Beta Successful

Relationships

Activities

K7ZCZ

2018-12-14 11:45

manager   ~0006638

fixed with this checkin:
https://hrdsoftware.visualstudio.com/HRD/_versionControl/changeset/4560

WA9PIE

2019-01-01 21:36

administrator   ~0006836

I only see values 1 and 2. They work. Are there supposed to be more values than 1 or 2?

K7ZCZ

2019-01-02 10:47

manager   ~0006859

According to the CAT manual for the FT-991, there are only two levels. The FT-991A CAT manual says the same.

On the FT-991 radio, I find only two settings (1 and 2) for the "Dimmer LED" menu item (number #007).

WA9PIE

2019-01-09 15:04

administrator   ~0006927

With that explanation, I've validated it.

Issue History

Date Modified Username Field Change
2018-12-14 11:25 K7ZCZ New Issue
2018-12-14 11:30 K7ZCZ Tag Attached: Yaesu
2018-12-14 11:30 K7ZCZ Tag Attached: FT-991A
2018-12-14 11:31 K7ZCZ Tag Attached: FT-991
2018-12-14 11:45 K7ZCZ Assigned To => K7ZCZ
2018-12-14 11:45 K7ZCZ Status new => resolved
2018-12-14 11:45 K7ZCZ Resolution open => fixed
2018-12-14 11:45 K7ZCZ Note Added: 0006638
2018-12-14 17:20 K7ZCZ Fixed in Version => 6.5.0.137
2018-12-14 17:20 K7ZCZ Description Updated View Revisions
2019-01-01 21:36 WA9PIE Status resolved => feedback
2019-01-01 21:36 WA9PIE Resolution fixed => reopened
2019-01-01 21:36 WA9PIE Note Added: 0006836
2019-01-02 10:47 K7ZCZ Assigned To K7ZCZ => WA9PIE
2019-01-02 10:47 K7ZCZ Status feedback => assigned
2019-01-02 10:47 K7ZCZ Resolution reopened => fixed
2019-01-02 10:47 K7ZCZ Note Added: 0006859
2019-01-09 15:04 WA9PIE Status assigned => closed
2019-01-09 15:04 WA9PIE Testing Not Started => Beta Successful
2019-01-09 15:04 WA9PIE Note Added: 0006927
2019-01-16 22:04 WA9PIE Fixed in Version 6.5.0.137 => 6.5.0.183
2019-01-16 22:05 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe